%%% -------------------------------------------------------
%%% @author huangyongxing@yeah.net
%%% @doc
%%% 珍宝阁（留存抽奖）
%%% @end
%%% -------------------------------------------------------
-ifndef(TREASURE_HOUSE_HRL).
-define(TREASURE_HOUSE_HRL, ok).

%% 一期活动结束后，返还未领次数奖励的邮件
-define(THOUSE_MAIL_TITLE,  1040001).
-define(THOUSE_MAIL_CONTENT, 1040002).

%% 定义抽奖次数奖励领取状态
-define(THOUSE_COUNT_NOT_ENOUGH, 0).
-define(THOUSE_COUNT_CAN_GET,    1).
-define(THOUSE_COUNT_GOT,        2).


%% 角色进程状态数据
-record(treasure_house, {
        period = 1                  % 期数
        ,round = 1                  % 轮次
        ,count = 0                  % 本轮已抽次数
        ,recv_round = 1             % 当前未领完次数奖励的轮次（当前在领轮次）
        ,recv_counts = []           % 当前在领轮次已领奖励次数档次
        ,task_data = []             % 任务进度状态数据[#thouse_task{}]
        ,time = 0                   % 任务数据更新时间
    }).

-record(thouse_task, {
        task_id = 0
        ,finish_times = 0           % 已完成次数（其上限为配置中的每天上限）
        ,recv_times = 0             % 已经领取奖励的次数
    }).

%% 抽奖传闻记录
-record(thouse_award_record, {
        role_id = 0
        ,name = <<>>
        ,goods_type_id = 0
        ,goods_num = 0
        ,time = 0
    }).

-define(SQL_SELECT_TREASURE_HOUSE, <<"SELECT `period`,`round`,`count`,`recv_round`,`data`,`time` FROM `role_treasure_house` WHERE `id` = ~w">>).
-define(SQL_REPLACE_TREASURE_HOUSE_HEAD, <<"REPLACE INTO `role_treasure_house` (`id`,`period`,`round`,`count`,`recv_round`,`data`,`time`)">>).

-endif.
